package com.bokecc.livemodule.view.gift.interfaces;


import androidx.annotation.NonNull;

import com.bokecc.gift.pojo.Gift;

public interface IGiftAnim {

    /**
     * 开始播放动画效果。
     * <p>注意：动画播放完成后必须调用 {@link IGiftController #onPlayerAvailable()}方法！</p>
     *
     * @see #available()
     */
    void startAnim(@NonNull Gift gift);

    /**
     * 是否可加入动画中完成连发动画。
     */
    boolean canJoin(@NonNull Gift gift);
    /**
     * @see #canJoin(Gift)
     */
    void joinAnim(@NonNull Gift gift);
    /**
     * 是否可以开始播放新的动画。
     *
     * @see #startAnim(Gift)
     */
    boolean available();
    /**
     * 停止当前正在播放的动画效果，通常在退出页面时由Controller调用。
     */
    void cancelAnim();
}
